<template>
  <div class="row justify-content-center">
    <div class="col-8">
      <form name="editForm" role="form" novalidate v-on:submit.prevent="save()">
        <h2
          id="gatewayApp.biologicoBiologico.home.createOrEditLabel"
          data-cy="BiologicoCreateUpdateHeading"
          v-text="$t('gatewayApp.biologicoBiologico.home.createOrEditLabel')"
        >
          Create or edit a Biologico
        </h2>
        <div>
          <div class="form-group" v-if="biologico.id">
            <label for="id" v-text="$t('global.field.id')">ID</label>
            <input type="text" class="form-control" id="id" name="id" v-model="biologico.id" readonly />
          </div>
          <div class="form-group">
            <label class="form-control-label" v-text="$t('gatewayApp.biologicoBiologico.tipoBiologico')" for="biologico-tipoBiologico"
              >Tipo Biologico</label
            >
            <input
              type="text"
              class="form-control"
              name="tipoBiologico"
              id="biologico-tipoBiologico"
              data-cy="tipoBiologico"
              :class="{ valid: !$v.biologico.tipoBiologico.$invalid, invalid: $v.biologico.tipoBiologico.$invalid }"
              v-model="$v.biologico.tipoBiologico.$model"
            />
          </div>
          <div class="form-group">
            <label class="form-control-label" v-text="$t('gatewayApp.biologicoBiologico.detalleBiologico')" for="biologico-detalleBiologico"
              >Detalle Biologico</label
            >
            <input
              type="text"
              class="form-control"
              name="detalleBiologico"
              id="biologico-detalleBiologico"
              data-cy="detalleBiologico"
              :class="{ valid: !$v.biologico.detalleBiologico.$invalid, invalid: $v.biologico.detalleBiologico.$invalid }"
              v-model="$v.biologico.detalleBiologico.$model"
            />
          </div>
        </div>
        <div>
          <button type="button" id="cancel-save" data-cy="entityCreateCancelButton" class="btn btn-secondary" v-on:click="previousState()">
            <font-awesome-icon icon="ban"></font-awesome-icon>&nbsp;<span v-text="$t('entity.action.cancel')">Cancel</span>
          </button>
          <button
            type="submit"
            id="save-entity"
            data-cy="entityCreateSaveButton"
            :disabled="$v.biologico.$invalid || isSaving"
            class="btn btn-primary"
          >
            <font-awesome-icon icon="save"></font-awesome-icon>&nbsp;<span v-text="$t('entity.action.save')">Save</span>
          </button>
        </div>
      </form>
    </div>
  </div>
</template>
<script lang="ts" src="./biologico-update.component.ts"></script>
